# $Revision: 1.7 $, $Date: 2007-12-19 15:30:50 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Cache
%define	pnam	Simple-TimedExpiry
Summary:	Cache::Simple::TimedExpiry - cache for a period of time
Summary(pl.UTF-8):	Cache::Simple::TimedExpiry - buforowanie na określony czas
Name:		perl-Cache-Simple-TimedExpiry
Version:	0.27
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ef124ab7776f3c257b9ffbed917e67a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cache::Simple::TimedExpiry - cache for a period of time.

%description -l pl.UTF-8
Cache::Simple::TimedExpiry - buforowanie na określony czas.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Cache/Simple
%{perl_vendorlib}/Cache/Simple/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cache-Simple-TimedExpiry.spec,v $
Revision 1.7  2007-12-19 15:30:50  zbyniu
- up to 0.27

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2006/02/17 15:01:02  glen
- 0.23

Revision 1.3  2004/12/01 21:04:16  qboosh
- pl

Revision 1.2  2004/12/01 16:36:20  radek
- %%dir perl_vendorlib/Cache/Simple/

Revision 1.1  2004/12/01 16:35:24  radek
- new
